User Charging Sessions
List completed charging sessions across a user's EVs and wallboxes
GET
/
api
/
partners
/
v2.0
/
org
/
{org_id}
/
users
/
{user_id}
/
charging-sessions
List completed charging sessions across a user's EVs and wallboxes
curl --request GET \
--url https://api.example.com/api/partners/v2.0/org/{org_id}/users/{user_id}/charging-sessions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/partners/v2.0/org/{org_id}/users/{user_id}/charging-sessions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/partners/v2.0/org/{org_id}/users/{user_id}/charging-sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 123,
"items": [
{
"id": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"is_active": true,
"electric_vehicle_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"wallbox_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ocpp_transaction_id": 123,
"final_hems_state": "<string>",
"hems_activated": true,
"is_at_home": true,
"desired_steering": "<string>",
"optimization_skip_reason": "<string>",
"energy_delivered_kwh": 123,
"energy_from_solar_kwh": 123,
"energy_from_grid_kwh": 123,
"avg_charge_power_kw": 123,
"peak_charge_power_kw": 123,
"initial_soc_pct": 123,
"final_soc_pct": 123,
"target_soc_pct": 123,
"soc_source": "<string>",
"charge_deadline": "2023-11-07T05:31:56Z",
"target_reachable": true,
"reachable_soc_pct": 123,
"optimized_cost_eur": 123,
"unoptimized_cost_eur": 123,
"spot_savings_eur": 123,
"solar_savings_eur": 123,
"total_savings_eur": 123,
"projected_savings_eur": 123,
"has_complete_price_coverage": true,
"commands_sent": 123,
"commands_applied": 123,
"commands_ineffective": 123,
"commands_rejected": 123,
"steering_was_effective": true,
"dominant_command_error": "<string>",
"was_boosted": true,
"boost_triggered_at": "2023-11-07T05:31:56Z",
"boost_ended_at": "2023-11-07T05:31:56Z",
"boost_end_reason": "<string>",
"desired_charging_start_time": "2023-11-07T05:31:56Z",
"desired_charging_end_time": "2023-11-07T05:31:56Z",
"outcome": "<string>"
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The organization ID
The user ID
Query Parameters
Inclusive lower bound day (UTC, YYYY-MM-DD)
Inclusive upper bound day (UTC, YYYY-MM-DD)
Page size (max 200)
Required range:
1 <= x <= 200Offset for pagination
Required range:
x >= 0Optional filter to one source
Available options:
ev, wallbox Include sessions flagged hidden by the classifier (EV rows only; wallbox sessions have no hidden concept). Back-office/debugging use.
Was this page helpful?
⌘I
List completed charging sessions across a user's EVs and wallboxes
